Leveldb in 6.4

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

Leveldb in 6.4

Flipchan
Hey all,

Has anyone been able to install leveldb on 6.4 with header files ?


i have installed it with pkg_add
# pkg_info -Q leveldb
leveldb-1.20 (installed)

but it will not include:

 fatal error: 'leveldb/db.h' file not found
 #include "leveldb/db.h"
^~~~~~~~~~~~~~
 7 warnings and 1 error generated.
 error: command 'cc' failed with exit status 1


- flipchan
Reply | Threaded
Open this post in threaded view
|

Re: Leveldb in 6.4

Antoine Jacoutot-7
On Thu, Mar 21, 2019 at 03:54:25PM +0100, Flipchan wrote:

> Hey all,
>
> Has anyone been able to install leveldb on 6.4 with header files ?
>
>
> i have installed it with pkg_add
> # pkg_info -Q leveldb
> leveldb-1.20 (installed)
>
> but it will not include:
>
>  fatal error: 'leveldb/db.h' file not found
>  #include "leveldb/db.h"
> ^~~~~~~~~~~~~~
>  7 warnings and 1 error generated.
>  error: command 'cc' failed with exit status 1

You probably need to pass CPPFLAGS (-I/usr/local/include) to your build.

--
Antoine